package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 35.查询 NFT发行结果 GET请求方式
 * @class: PublishResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:46
 */
@Data
public class Nft035PublishResultReq implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 查询任务结果
     */
    private String taskId;
    private static final Nft035PublishResultReq obj = new Nft035PublishResultReq();
    private static final long serialVersionUID = 2372671160217592773L;

    public static Nft035PublishResultReq getNew() {
        try {
            return (Nft035PublishResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft035PublishResultReq();
        }
    }
}
